<div *ngIf="event">
  <div class="row">
    <div class="col-12">
      <h4 class="page-title">{{ event.title }}, {{event.start | date: 'short'}} - Detailansicht</h4>
      <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
          <li class="breadcrumb-item" *ngIf="event.project.status != 'past'"><a routerLink="/projects">Projekte</a></li>
          <li class="breadcrumb-item" *ngIf="event.project.status == 'past'"><a routerLink="/projects/past">Vergangene Projekte</a></li>
          <li class="breadcrumb-item"><a routerLink="/projects/{{projectId}}/ensembles/{{ensembleId}}">{{event.project.name}}</a></li>
          <li class="breadcrumb-item active" aria-current="page">{{event.title}}</li>
        </ol>
      </nav>
    </div>
  </div>
  <div class="row">
    <div class="col-md-6 mb-3">
      <div class="card">
        <div class="card-heading">
          <h5>Anmeldungen</h5>
        </div>
        <div class="card-body">
          <table class="table">
            <thead>
            <tr>
              <th>Name</th>
              <th>Status</th>
              <th>Anwesenheit</th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let user of users">
              <td>{{user.firstName}} {{user.lastName}}</td>
              <td *ngIf="user.announcements">
                <span class="badge badge-pill " [ngClass]="{'badge-success': user.announcements[0].status, 'badge-danger': !user.announcements[0].status}">
                    <span *ngIf="user.announcements[0].status" class="d-none d-md-block">angemeldet</span>
                    <span *ngIf="user.announcements[0].status" class="d-md-none"><i class="fas fa-check"></i></span>
                    <span *ngIf="!user.announcements[0].status" class="d-none d-md-block">abgemeldet</span>
                    <span *ngIf="!user.announcements[0].status" class="d-md-none"><i class="fas fa-times"></i></span>
                </span>
                <div class="small">{{user.announcements[0].comment}}</div>
              </td>
              <td *ngIf="!user.announcements">
                <span class="badge badge-pill badge-warning">
                  <span class="d-md-none"><i class="fas fa-question"></i></span>
                  <span class="d-none d-md-block">ohne Rückmeldung</span>
                </span>
              </td>
              <td>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" (change)="changeAttendance(user, true)" [checked]="user.attendance.length > 0 && user.attendance[0].status" name="attendanceRadioOptions{{user.id}}{{event.id}}" id="attendanceRadio1{{user.id}}{{event.id}}">
                  <label class="form-check-label" for="attendanceRadio1{{user.id}}{{event.id}}">Da</label>
                </div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" (change)="changeAttendance(user, false)" [checked]="user.attendance.length > 0 && !user.attendance[0].status" name="attendanceRadioOptions{{user.id}}{{event.id}}" id="attendanceRadio2{{user.id}}{{event.id}}" >
                  <label class="form-check-label" for="attendanceRadio2{{user.id}}{{event.id}}">Nicht da</label>
                </div>
              </td>
            </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-md-6">
      <div class="row">
        <div class="col-12 mb-3">
          <div class="card">
            <div class="card-heading">
              <h5>Anmeldezahlen</h5>
            </div>
            <div class="card-body">
              <div class="d-flex" *ngIf="announcementStats && colorScheme">
                <ngx-charts-bar-vertical [results]="announcementChart" [xAxis]="true" [showDataLabel]="true" [scheme]="colorScheme"></ngx-charts-bar-vertical>
              </div>
            </div>
          </div>
        </div>
        <div class="col-12">
          <div class="card">
            <div class="card-heading">
              <h5>Register im Termin</h5>
            </div>
            <div class="card-body">
              <ng-container *ngIf="eventRegisters && registerCounter > 0">
                <div class="d-flex">
                  <ngx-charts-pie-chart [results]="registerPieChart" [labels]="true" [scheme]="'forest'"></ngx-charts-pie-chart>
                </div>
                <p class="small mt-2">Hinweis: <br>Benutzer in zwei Registern werden hier doppelt gezählt</p>
              </ng-container>
              <div class="d-flex" *ngIf="!eventRegisters || registerCounter <= 0">
                Es sind zur Zeit keine Benutzer angemeldet.
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>